> For the complete documentation index, see [llms.txt](https://api-docs.bumper.co/bumper-api-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-docs.bumper.co/bumper-api-documentation/reference/payment-solutions/payinstore/update.md).

# Update

<mark style="color:green;">`POST`</mark> `{{base_url}}/v2/update/`

Allows amount and invoice number to be updated. The amount can be increased or decreased to the minimum or maximum dealership product thresholds.

#### Headers

<table><thead><tr><th width="238">Name</th><th>Type</th></tr></thead><tbody><tr><td>Content-Type<mark style="color:red;">*</mark></td><td>application/json</td></tr><tr><td>Accept<mark style="color:red;">*</mark></td><td>application/json</td></tr></tbody></table>

#### Request Body

| Name                                        | Type   | Description                                                                                                 |
| ------------------------------------------- | ------ | ----------------------------------------------------------------------------------------------------------- |
| amount<mark style="color:red;">\*</mark>    | String | The payment amount required from the customer.                                                              |
| api\_key<mark style="color:red;">\*</mark>  | String | This is supplier specific and provided by BUMPER                                                            |
| signature<mark style="color:red;">\*</mark> | String | [Hash ](/bumper-api-documentation/authentication.md)created through all the parameters of this request body |
| token<mark style="color:red;">\*</mark>     | String | Application token                                                                                           |
| invoice\_number                             | String | The supplier invoice number                                                                                 |
| product\_description                        | Array  | The description of items paid by customer.                                                                  |

{% tabs %}
{% tab title="200 OK" %}

```json
NOT SIGNED Increasing/Decreasing/Maintaining Amount

{
    "success": true,
    "message": "",
    "data": {
        "token": "cd2dd3b9ad2c4369a46e709295d13368"
    }
    "additional_data": {
        "key1": "value1",
        "key2": "value2",
        "key3": "value3"
    }
}

SIGNED Decreasing/Maintaining Amount

{
    "success": true,
    "message": "",
    "data": {
        "token": "cd2dd3b9ad2c4369a46e709295d13368"
    }
    "additional_data": {
        "key1": "value1",
        "key2": "value2",
        "key3": "value3"
    }
}

SIGNED - Increasing Amount

{
    "success": true,
    "message": "",
    "data": {
        "token": "cd2dd3b9ad2c4369a46e709295d13368",
        "redirect_url": "<url>"
    }
    "additional_data": {
        "key1": "value1",
        "key2": "value2",
        "key3": "value3"
    }
}
```

{% endtab %}

{% tab title="4xx (Client Error)" %}

```json
{
    "success": false,
    "message": "Message"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-docs.bumper.co/bumper-api-documentation/reference/payment-solutions/payinstore/update.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
